| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Rate Area

Rate Area Definitions and Methods. More...

## Classes
struct | unsp__GetRateAreaListData
| Get Rate Area List Data. More...
struct | unsp__GetRateAreaListResult
| Get Rate Area List result. More...
struct | unsp__GetRateAreaListRequest
| Get Rate Area List request. More...
class | unsp__CreateRateAreaRequest
| Create Rate Area request. More...
struct | unsp__CreateRateAreaResult
| Create Rate Area result. More...
class | unsp__ModifyRateAreaRequest
| Modify Rate Area request. More...
struct | unsp__ModifyRateAreaResult
| Modify Rate Area result. More...
class | unsp__RemoveRateAreaRequest
| Remove Rate Area request. More...
struct | unsp__RemoveRateAreaResult
| Remove Rate Area result. More...
class | unsp__QueryRateAreaRequest
| Query Rate Area request. More...
class | unsp__RateArea
| Query Rate Area result data. More...
class | unsp__ArrayOfRateArea
| Array of Rate Areas. More...
struct | unsp__RateAreaResult
| Rate Area result. More...

## Enumerations
enum | unsp__QueryRateAreaType { QueryRATypeDefault = -1, QueryRAUniqueRateAreaNames = 4 }
| Query Rate Area type. More...
enum | unsp__RateAreaSortType { RateAreaStUnassigned = -1, RateAreaStRateAreaName }
| Rate Area Sort Type. More...

## Functions
int | unsp__GetRateAreaList2 (struct unsp__GetRateAreaListRequest RAListRequest, struct unsp__GetRateAreaListResult *RAListResult)
| This method returns the list of Rate Areas that are defined on the system. More...
int | unsp__createRateArea (unsp__CreateRateAreaRequest CreateRateAreaRequest, struct unsp__CreateRateAreaResult *CreateRateAreaResult)
| Creates a Rate Area. More...
int | unsp__modifyRateArea (unsp__ModifyRateAreaRequest ModifyRateAreaRequest, struct unsp__ModifyRateAreaResult *ModifyRateAreaResult)
| Modifies a Rate Area. More...
int | unsp__removeRateArea (unsp__RemoveRateAreaRequest RemoveRateAreaRequest, struct unsp__RemoveRateAreaResult *RemoveRateAreaResult)
| Removes a Rate Area. More...
int | unsp__queryRateArea (unsp__QueryRateAreaRequest QueryRateAreaRequest, struct unsp__RateAreaResult *QueryRateAreaResult)
| Queries Rate Areas. More...

## Detailed Description

Rate Area Definitions and Methods.

The Routing (Rate) Area is used to describe the location of subscribers for call routing purposes, e.g. to use the right gateway for routing a call.

## Enumeration Type Documentation

## ◆ unsp__QueryRateAreaType

enum unsp__QueryRateAreaType

Query Rate Area type.

Enumerator
QueryRATypeDefault | Default.
QueryRAUniqueRateAreaNames | Query unique Rate Area names.

## ◆ unsp__RateAreaSortType

enum unsp__RateAreaSortType

Rate Area Sort Type.

Enumerator
RateAreaStUnassigned | Unassigned.
RateAreaStRateAreaName | Sort by Rate Area name.

## Function Documentation

## ◆ unsp__createRateArea()

unsp__createRateArea | ( | unsp__CreateRateAreaRequest | CreateRateAreaRequest,
|  | struct unsp__CreateRateAreaResult * | CreateRateAreaResult
| ) |  |

Creates a Rate Area.

Parameters

  CreateRateAreaRequest | API request
  CreateRateAreaResult | API result MP2 command: RateArea [Attributes]

## ◆ unsp__GetRateAreaList2()

unsp__GetRateAreaList2 | ( | struct unsp__GetRateAreaListRequest | RAListRequest,
|  | struct unsp__GetRateAreaListResult * | RAListResult
| ) |  |

This method returns the list of Rate Areas that are defined on the system.

Parameters

  RAListRequest | API request
  RAListResult | API result

## ◆ unsp__modifyRateArea()

unsp__modifyRateArea | ( | unsp__ModifyRateAreaRequest | ModifyRateAreaRequest,
|  | struct unsp__ModifyRateAreaResult * | ModifyRateAreaResult
| ) |  |

Modifies a Rate Area.

Parameters

  ModifyRateAreaRequest | API request
  ModifyRateAreaResult | API result MP2 command: ModifyRateArea [Attributes]

## ◆ unsp__queryRateArea()

unsp__queryRateArea | ( | unsp__QueryRateAreaRequest | QueryRateAreaRequest,
|  | struct unsp__RateAreaResult * | QueryRateAreaResult
| ) |  |

Queries Rate Areas.

Parameters

  QueryRateAreaRequest | API request
  QueryRateAreaResult | API result

## ◆ unsp__removeRateArea()

unsp__removeRateArea | ( | unsp__RemoveRateAreaRequest | RemoveRateAreaRequest,
|  | struct unsp__RemoveRateAreaResult * | RemoveRateAreaResult
| ) |  |

Removes a Rate Area.

Parameters

  RemoveRateAreaRequest | API request
  RemoveRateAreaResult | API result MP2 command: RemoveRateArea [Attributes]